Bug 1674923 - gazebo: FTBFS in Fedora rawhide/f30
Summary: gazebo: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gazebo
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1676717
Blocks: F30FTBFS 1674872
TreeView+ depends on / blocked
 
Reported: 2019-02-11 17:15 UTC by Fedora Release Engineering
Modified: 2019-02-14 09:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-14 09:15:31 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 17:15 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 17:15 UTC, Fedora Release Engineering
no flags Details
state.log (617 bytes, text/plain)
2019-02-11 17:15 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 17:15:43 UTC
gazebo failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32385968


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix gazebo at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
gazebo will be orphaned. Before branching of Fedora 31,
gazebo will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 17:15:45 UTC
Created attachment 1530047 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 17:15:46 UTC
Created attachment 1530048 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 17:15:48 UTC
Created attachment 1530049 [details]
state.log

Comment 4 Jonathan Wakely 2019-02-11 21:42:18 UTC
-- BUILD ERRORS: These must be resolved before compiling.
-- 	Boost not found. Please install thread signals system filesystem program_options regex date_time boost version 1.40.0 or higher.
-- END BUILD ERRORS

The Boost.Signals library has been removed from the version of Boost in rawhide. The code should be ported to use Boost.Signals2 (or if the check is unnecessary, just stop checking for Boost.Signals).

Comment 5 Rich Mattes 2019-02-12 02:48:11 UTC
Fixed the problem with boost::signals, now I'm working through a problem linking to libfreeimage:

make[2]: Leaving directory '/builddir/build/BUILD/gazebo-9.5.0/build'
BUILDSTDERR: /usr/bin/ld: /usr/lib/gcc/x86_64-redhat-linux/9/../../../../lib64/libfreeimage.so: undefined reference to `Imf_2_2::RgbaInputFile::~RgbaInputFile()'
BUILDSTDERR: /usr/bin/ld: /usr/lib/gcc/x86_64-redhat-linux/9/../../../../lib64/libfreeimage.so: undefined reference to `PKFormatConverter_EnumConversions'
BUILDSTDERR: /usr/bin/ld: /usr/lib/gcc/x86_64-redhat-linux/9/../../../../lib64/libfreeimage.so: undefined reference to `Iex_2_2::BaseExc::~BaseExc()'
BUILDSTDERR: /usr/bin/ld: /usr/lib/gcc/x86_64-redhat-linux/9/../../../../lib64/libfreeimage.so: undefined reference to `GUID_PKPixelFormat128bppRGBAFloat'
BUILDSTDERR: /usr/bin/ld: /usr/lib/gcc/x86_64-redhat-linux/9/../../../../lib64/libfreeimage.so: undefined reference to `GUID_PKPixelFormat64bppRGBA'
BUILDSTDERR: /usr/bin/ld: /usr/lib/gcc/x86_64-redhat-linux/9/../../../../lib64/libfreeimage.so: undefined reference to `vtable for LibRaw_abstract_datastream'
BUILDSTDERR: /usr/bin/ld: /usr/lib/gcc/x86_64-redhat-linux/9/../../../../lib64/libfreeimage.so: undefined reference to `WebPMuxSetImage'
<snip>
BUILDSTDERR: /usr/bin/ld: /usr/lib/gcc/x86_64-redhat-linux/9/../../../../lib64/libfreeimage.so: undefined reference to `PKImageEncode_SetEXIFMetadata_WMP'
BUILDSTDERR: /usr/bin/ld: /usr/lib/gcc/x86_64-redhat-linux/9/../../../../lib64/libfreeimage.so: undefined reference to `GUID_PKPixelFormat8bppGray'
BUILDSTDERR: /usr/bin/ld: /usr/lib/gcc/x86_64-redhat-linux/9/../../../../lib64/libfreeimage.so: undefined reference to `PKFreeAligned'
BUILDSTDERR: /usr/bin/ld: /usr/lib/gcc/x86_64-redhat-linux/9/../../../../lib64/libfreeimage.so: undefined reference to `half::convert(int)'
BUILDSTDERR: /usr/bin/ld: /usr/lib/gcc/x86_64-redhat-linux/9/../../../../lib64/libfreeimage.so: undefined reference to `GUID_PKPixelFormat16bppRGB565'
BUILDSTDERR: /usr/bin/ld: /usr/lib/gcc/x86_64-redhat-linux/9/../../../../lib64/libfreeimage.so: undefined reference to `Imf_2_2::RgbaInputFile::readPixels(int, int)'
BUILDSTDERR: /usr/bin/ld: /usr/lib/gcc/x86_64-redhat-linux/9/../../../../lib64/libfreeimage.so: undefined reference to `Imf_2_2::OutputFile::~OutputFile()'
BUILDSTDERR: collect2: error: ld returned 1 exit status

https://koji.fedoraproject.org/koji/taskinfo?taskID=32750201

Comment 6 Igor Gnatenko 2019-02-14 09:15:31 UTC
There has been at least one successfull build after mass rebuild.

gazebo-9.5.0-3.fc30: https://koji.fedoraproject.org/koji/buildinfo?buildID=1186905


Note You need to log in before you can comment on or make changes to this bug.